#ifndef _H_sample_mysession
#define _H_sample_mysession

#include <xmlstring.h>

#include "dlq.h"
#include "ncxtypes.h"
#include "op.h"
#include "status.h"
#include "val.h"

#ifdef __cplusplus
extern "C" {
#endif

#define y_sample_mysession_M_sample_mysession (const xmlChar *)"sample-mysession"
#define y_sample_mysession_R_sample_mysession (const xmlChar *)"2020-03-03"
#define y_sample_mysession_N_get_my_session (const xmlChar *)"get-my-session"
#define y_sample_mysession_N_set_my_session (const xmlChar *)"set-my-session"


/********************************************************************
* FUNCTION y_sample_mysession_init
*
* initialize the sample-mysession server instrumentation library
*
* INPUTS:
*    modname == requested module name
*    revision == requested version (NULL for any)
*
* RETURNS:
*     error status
********************************************************************/
extern status_t
    y_sample_mysession_init (const xmlChar *modname,
                             const xmlChar *revision);

/********************************************************************
* FUNCTION y_sample_mysession_init2
*
* SIL init phase 2: non-config data structures
* Called after running config is loaded
*
* RETURNS:
*     error status
********************************************************************/
extern status_t
    y_sample_mysession_init2 (void);

/********************************************************************
* FUNCTION y_sample_mysession_cleanup
*    cleanup the server instrumentation library
*
********************************************************************/
extern void
    y_sample_mysession_cleanup (void);

#ifdef __cplusplus
} /* end extern 'C' */
#endif

#endif
